import 'package:flutter_riverpod/flutter_riverpod.dart';

import 'package:auth/src/features/onboarding/presentation/onboarding_view_state.dart';

final onBoardingViewModelProvider =
    NotifierProvider.autoDispose<OnBoardingViewModel, OnboardingViewState>(
      OnBoardingViewModel.new,
    );

class OnBoardingViewModel extends Notifier<OnboardingViewState> {
  @override
  OnboardingViewState build() {
    return const OnboardingViewState();
  }

  void onPageChanged(int index) {
    state = state.copyWith(cardIndex: index);
  }
}
